Debian Bug report logs - #621874
ITP: votca -- Versatile Object-oriented Toolkit for Coarse-graining Applications

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nicholas Breen <nbreen@debian.org>

Date: Sun, 10 Apr 2011 01:31:26 UTC

Severity: wishlist

Fixed in version votca-tools/1.2.3-1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org:
Bug#621874; Package wnpp. (Sun, 10 Apr 2011 01:31:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Breen <nbreen@ofb.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-science@lists.debian.org, wnpp@debian.org. (Sun, 10 Apr 2011 01:31:31 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicholas Breen <nbreen@ofb.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: votca -- Versatile Object-oriented Toolkit for Coarse-graining Applications
Date: Sat, 09 Apr 2011 13:48:27 -0700
Package: wnpp
Severity: wishlist
Owner: Nicholas Breen <nbreen@ofb.net>

* Package name    : votca
  Version         : 1.1.2
  Upstream Author : VOTCA Developers <devs@votca.org>
* URL             : http://www.votca.org/
* License         : Apache License 2.0
  Programming Lang: C++
  Description     : Versatile Object-oriented Toolkit for Coarse-graining Applications

 A toolkit intended to reduce the amount of routine work when doing systematic
 coarse-graining of various systems, e.g. in molecular modeling and other
 theoretical chemistry applications.
 .
 The toolkit is described in J. Chem. Theory Comput., 2009, 5(12), 3211-3223,
 <http://pubs.acs.org/doi/abs/10.1021/ct900369w>.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicholas Breen <nbreen@ofb.net>:
Bug#621874; Package wnpp. (Mon, 20 Jun 2011 12:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Junghans <junghans@votca.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicholas Breen <nbreen@ofb.net>. (Mon, 20 Jun 2011 12:03:13 GMT) Full text and rfc822 format available.

Message #10 received at 621874@bugs.debian.org (full text, mbox):

From: Christoph Junghans <junghans@votca.org>
To: 621874@bugs.debian.org
Cc: bugs <bugs@votca.org>
Subject: Votca was 1.2 released
Date: Mon, 20 Jun 2011 13:59:49 +0200
Announcement:
<http://groups.google.com/group/votca/browse_frm/thread/c814a046ebd31191>

It now uses cmake as build system.




Changed Bug submitter to 'Nicholas Breen <nbreen@debian.org>' from 'Nicholas Breen <nbreen@ofb.net>' Request was from Nicholas Breen <nbreen@debian.org> to control@bugs.debian.org. (Tue, 17 Jan 2012 07:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicholas Breen <nbreen@ofb.net>:
Bug#621874; Package wnpp. (Fri, 23 Nov 2012 19:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Breen <nbreen@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicholas Breen <nbreen@ofb.net>. (Fri, 23 Nov 2012 19:06:03 GMT) Full text and rfc822 format available.

Message #17 received at 621874@bugs.debian.org (full text, mbox):

From: Nicholas Breen <nbreen@debian.org>
To: 621874@bugs.debian.org
Subject: votca: ITP -> RFP
Date: Fri, 23 Nov 2012 10:56:50 -0800
Control: retitle -1 RFP: votca -- Versatile Object-oriented Toolkit for Coarse-graining Applications
Control: owner -1 !


I'm not personally doing much MD work these days, and so I haven't had as much
time or interest to package votca; by now it's well past time to admit I won't
be getting to it.  I would certainly be happy to assist and co-maintain the
package with a more directly motivated user, and could sponsor uploads for a
non-DD.  Maintaining it as part of the debichem team would assist in that
regard.


-- 
Nicholas Breen
nbreen@debian.org




Changed Bug title to 'RFP: votca -- Versatile Object-oriented Toolkit for Coarse-graining Applications' from 'ITP: votca -- Versatile Object-oriented Toolkit for Coarse-graining Applications' Request was from Nicholas Breen <nbreen@debian.org> to 621874-submit@bugs.debian.org. (Fri, 23 Nov 2012 19:06:03 GMT) Full text and rfc822 format available.

Owner changed from Nicholas Breen <nbreen@ofb.net> to Nicholas Breen <nbreen@debian.org>. Request was from Nicholas Breen <nbreen@debian.org> to 621874-submit@bugs.debian.org. (Fri, 23 Nov 2012 19:06:03 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Nicholas Breen <nbreen@debian.org>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sat, 24 Nov 2012 04:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#621874; Package wnpp. (Sun, 27 Oct 2013 20:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Junghans <junghans@votca.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 27 Oct 2013 20:57:04 GMT) Full text and rfc822 format available.

Message #28 received at 621874@bugs.debian.org (full text, mbox):

From: Christoph Junghans <junghans@votca.org>
To: 621874@bugs.debian.org
Cc: debichem-devel@lists.alioth.debian.org, Nicholas Breen <nbreen@ofb.net>
Subject: VOTCA available on my PPA
Date: Sun, 27 Oct 2013 14:55:04 -0600
I finalize found the time to make the first steps to package VOTCA for Debian.
The source/binary builds are available on
<https://launchpad.net/~ottxor/+archive/votca>.

Please have a look and help me to improve it, so that I can hand it
over to debichem soon.

-- 
Christoph Junghans
Web: http://www.compphys.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#621874; Package wnpp. (Thu, 31 Oct 2013 23:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Breen <nbreen@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 31 Oct 2013 23:42:05 GMT) Full text and rfc822 format available.

Message #33 received at 621874@bugs.debian.org (full text, mbox):

From: Nicholas Breen <nbreen@debian.org>
To: Christoph Junghans <junghans@votca.org>
Cc: 621874@bugs.debian.org
Subject: Re: [Debichem-devel] VOTCA available on my PPA
Date: Thu, 31 Oct 2013 16:38:21 -0700
On Sun, Oct 27, 2013 at 02:55:04PM -0600, Christoph Junghans wrote:
> I finalize found the time to make the first steps to package VOTCA for Debian.
> The source/binary builds are available on
> <https://launchpad.net/~ottxor/+archive/votca>.
> 
> Please have a look and help me to improve it, so that I can hand it
> over to debichem soon.

Hi Christoph,

Thanks for working on those.  They look fairly sensible to me; the one change
I'd strongly recommend is updating them to debhelper v9 compatibility, which
should automatically handle both the multiarch paths and appending CPPFLAGS to
CXXFLAGS.  It might also be worth specifying what exactly the dh_python2 calls
should operate on, since those throw a lot of errors during their run from
trying (and failing) to operate on non-python files -- not a fatal error, it
just makes that part of the build log hard to read.

There's still a second typo in 11_csg_boltzmann_typo.patch: "telp" -> "help"

Have you considered including the tutorials as additional documentation?  I
tried setting those up at first with the multiple-tarballs feature of the 3.0
source format [1], which does work although you'll need to write your own
installation procedure in debian/rules for them.

Policy 3.9.5 was just released [2], so you can bump the Standards-Version lines
in debian/control.  I don't see any changes that would affect your packaging.

-- 
Nicholas Breen
nbreen@debian.org


[1] https://wiki.debian.org/Projects/DebSrc3.0#How_to_use_multiple_upstream_tarball_in_3.0_.28quilt.29_format.3F
[2] https://lists.debian.org/debian-devel-announce/2013/10/msg00006.html



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#621874; Package wnpp. (Fri, 01 Nov 2013 16:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Junghans <junghans@votca.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 01 Nov 2013 16:15:09 GMT) Full text and rfc822 format available.

Message #38 received at 621874@bugs.debian.org (full text, mbox):

From: Christoph Junghans <junghans@votca.org>
To: Nicholas Breen <nbreen@debian.org>
Cc: 621874@bugs.debian.org
Subject: Re: [Debichem-devel] VOTCA available on my PPA
Date: Fri, 1 Nov 2013 10:12:46 -0600
2013/10/31 Nicholas Breen <nbreen@debian.org>:
> On Sun, Oct 27, 2013 at 02:55:04PM -0600, Christoph Junghans wrote:
>> I finalize found the time to make the first steps to package VOTCA for Debian.
>> The source/binary builds are available on
>> <https://launchpad.net/~ottxor/+archive/votca>.
>>
>> Please have a look and help me to improve it, so that I can hand it
>> over to debichem soon.
>
> Hi Christoph,
>
> Thanks for working on those.  They look fairly sensible to me; the one change
> I'd strongly recommend is updating them to debhelper v9 compatibility, which
> should automatically handle both the multiarch paths and appending CPPFLAGS to
> CXXFLAGS.  It might also be worth specifying what exactly the dh_python2 calls
> should operate on, since those throw a lot of errors during their run from
> trying (and failing) to operate on non-python files -- not a fatal error, it
> just makes that part of the build log hard to read.
Don, done & done. VOTCA uses the LIB variable to set the lib location,
which is obliviously not what dh excepts, so I left this in rules.

> There's still a second typo in 11_csg_boltzmann_typo.patch: "telp" -> "help"
Done.

>
> Have you considered including the tutorials as additional documentation?  I
> tried setting those up at first with the multiple-tarballs feature of the 3.0
> source format [1], which does work although you'll need to write your own
> installation procedure in debian/rules for them.
Done.

>
> Policy 3.9.5 was just released [2], so you can bump the Standards-Version lines
> in debian/control.  I don't see any changes that would affect your packaging.
Done.

>
> --
> Nicholas Breen
> nbreen@debian.org
>
>
> [1] https://wiki.debian.org/Projects/DebSrc3.0#How_to_use_multiple_upstream_tarball_in_3.0_.28quilt.29_format.3F
> [2] https://lists.debian.org/debian-devel-announce/2013/10/msg00006.html



-- 
Christoph Junghans
Web: http://www.compphys.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#621874; Package wnpp. (Sun, 22 Dec 2013 23:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 22 Dec 2013 23:48:09 GMT) Full text and rfc822 format available.

Message #43 received at 621874@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Christoph Junghans <junghans@votca.org>
Cc: 621874@bugs.debian.org, Nicholas Breen <nbreen@ofb.net>, debichem-devel@lists.alioth.debian.org
Subject: Re: [Debichem-devel] VOTCA available on my PPA
Date: Mon, 23 Dec 2013 00:43:39 +0100
Hi,

On Sun, Oct 27, 2013 at 02:55:04PM -0600, Christoph Junghans wrote:
> I finalize found the time to make the first steps to package VOTCA for Debian.
> The source/binary builds are available on
> <https://launchpad.net/~ottxor/+archive/votca>.
> 
> Please have a look and help me to improve it, so that I can hand it
> over to debichem soon.

I took a look at votca-tools now (as this is a Build-Depends for
votca-csg and has to be uploaded first).  I see the following issues:

1. The -dev package is named libvotca-tools2-dev, i.e. includes the
soversion.  This is discouraged (but unfortunately the library
maintainer's guide advocated it at least last time I looked), unless a
project is very widely used and switching all programs using it
immediately is not feasable (like for GTK1->GTK2, oder Qt4->Qt5). I
understand that Ubuntu ships it, but I would rather rename it to
libvotca-tools-dev and either let Ubuntu deal with it, or add
compatibility Replaces/Conflicts/Provides for it.

2. votca-tools ships a convenience copy of boost.  Either it needs to be
stripped off the tarball (i.e. the tarball needs to be repackaged), or
the boost license and copyright needs to be added to debian/copyright.

Finally, I suggest adding an debian/upstream file with some metadata and
the prime publications, I can do that.


Michael



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#621874; Package wnpp. (Mon, 23 Dec 2013 15:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Junghans <junghans@votca.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Dec 2013 15:42:04 GMT) Full text and rfc822 format available.

Message #48 received at 621874@bugs.debian.org (full text, mbox):

From: Christoph Junghans <junghans@votca.org>
To: Michael Banck <mbanck@debian.org>
Cc: 621874@bugs.debian.org, Nicholas Breen <nbreen@ofb.net>, debichem-devel@lists.alioth.debian.org
Subject: Re: [Debichem-devel] VOTCA available on my PPA
Date: Mon, 23 Dec 2013 08:38:27 -0700
2013/12/22 Michael Banck <mbanck@debian.org>:
> Hi,
>
> On Sun, Oct 27, 2013 at 02:55:04PM -0600, Christoph Junghans wrote:
>> I finalize found the time to make the first steps to package VOTCA for Debian.
>> The source/binary builds are available on
>> <https://launchpad.net/~ottxor/+archive/votca>.
>>
>> Please have a look and help me to improve it, so that I can hand it
>> over to debichem soon.
>
> I took a look at votca-tools now (as this is a Build-Depends for
> votca-csg and has to be uploaded first).  I see the following issues:
>
> 1. The -dev package is named libvotca-tools2-dev, i.e. includes the
> soversion.  This is discouraged (but unfortunately the library
> maintainer's guide advocated it at least last time I looked), unless a
> project is very widely used and switching all programs using it
> immediately is not feasable (like for GTK1->GTK2, oder Qt4->Qt5). I
> understand that Ubuntu ships it, but I would rather rename it to
> libvotca-tools-dev and either let Ubuntu deal with it, or add
> compatibility Replaces/Conflicts/Provides for it.
Renaming is fine as it has only been released as PPA.
So should we just rename the dev package or both?

>
> 2. votca-tools ships a convenience copy of boost.  Either it needs to be
> stripped off the tarball (i.e. the tarball needs to be repackaged), or
> the boost license and copyright needs to be added to debian/copyright.
VOTCA ships a pristine tarball already:
https://votca.googlecode.com/files/votca-tools-1.2.3_pristine.tar.gz
and on my PPA, I have used that one to create the debian package.

>
> Finally, I suggest adding an debian/upstream file with some metadata and
> the prime publications, I can do that.
Once we have converged, I will add the debian folder to our admin repository.

Christoph
>
>
> Michael



-- 
Christoph Junghans
Web: http://www.compphys.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#621874; Package wnpp. (Mon, 23 Dec 2013 17:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Dec 2013 17:12:04 GMT) Full text and rfc822 format available.

Message #53 received at 621874@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Christoph Junghans <junghans@votca.org>
Cc: 621874@bugs.debian.org, Nicholas Breen <nbreen@ofb.net>, debichem-devel@lists.alioth.debian.org
Subject: Re: [Debichem-devel] VOTCA available on my PPA
Date: Mon, 23 Dec 2013 18:07:58 +0100
Hi,

On Mon, Dec 23, 2013 at 08:38:27AM -0700, Christoph Junghans wrote:
> 2013/12/22 Michael Banck <mbanck@debian.org>:
> > Hi,
> >
> > On Sun, Oct 27, 2013 at 02:55:04PM -0600, Christoph Junghans wrote:
> >> I finalize found the time to make the first steps to package VOTCA for Debian.
> >> The source/binary builds are available on
> >> <https://launchpad.net/~ottxor/+archive/votca>.
> >>
> >> Please have a look and help me to improve it, so that I can hand it
> >> over to debichem soon.
> >
> > I took a look at votca-tools now (as this is a Build-Depends for
> > votca-csg and has to be uploaded first).  I see the following issues:
> >
> > 1. The -dev package is named libvotca-tools2-dev, i.e. includes the
> > soversion.  This is discouraged (but unfortunately the library
> > maintainer's guide advocated it at least last time I looked), unless a
> > project is very widely used and switching all programs using it
> > immediately is not feasable (like for GTK1->GTK2, oder Qt4->Qt5). I
> > understand that Ubuntu ships it, but I would rather rename it to
> > libvotca-tools-dev and either let Ubuntu deal with it, or add
> > compatibility Replaces/Conflicts/Provides for it.
>
> Renaming is fine as it has only been released as PPA.
> So should we just rename the dev package or both?
 
Only the -dev package, the runtime library is required to carry the
soversion in the package name.

Another thing to consider if the package has not shipped in Ubuntu
proper so far would be to maybe start over with the Debian changelog,
but I leave that up to you.

> > 2. votca-tools ships a convenience copy of boost.  Either it needs to be
> > stripped off the tarball (i.e. the tarball needs to be repackaged), or
> > the boost license and copyright needs to be added to debian/copyright.
>
> VOTCA ships a pristine tarball already:
> https://votca.googlecode.com/files/votca-tools-1.2.3_pristine.tar.gz
> and on my PPA, I have used that one to create the debian package.
 
Ah, ok.  I think I saw that in passing a while back but by the time I
looked at the package I had forgotten about it.

> > Finally, I suggest adding an debian/upstream file with some metadata and
> > the prime publications, I can do that.
>
> Once we have converged, I will add the debian folder to our admin
> repository.

That is usually discouraged (if you mean the code repository on Google
code), as it makes it more difficult to add Debian changes on top of a
release, if they are required by a new Debian policy, e.g.  Also, it
makes it difficult to synchronize the Debian packaging with the regular
release.

The only exception are native packages, which are developped especially
for Debian, but even in that case, a lot of packages ship an upstream
source and the Debian diff.

So in practise, if an upstream tarball already contains a
debian/-directory, it is usually removed and replaced by the
debian.tar.gz from the source package.


Michael



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#621874; Package wnpp. (Mon, 23 Dec 2013 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Junghans <junghans@votca.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Dec 2013 22:15:04 GMT) Full text and rfc822 format available.

Message #58 received at 621874@bugs.debian.org (full text, mbox):

From: Christoph Junghans <junghans@votca.org>
To: Michael Banck <mbanck@debian.org>
Cc: 621874@bugs.debian.org, Nicholas Breen <nbreen@ofb.net>, debichem-devel@lists.alioth.debian.org
Subject: Re: [Debichem-devel] VOTCA available on my PPA
Date: Mon, 23 Dec 2013 15:12:44 -0700
2013/12/23 Michael Banck <mbanck@debian.org>:
> Hi,
>
> On Mon, Dec 23, 2013 at 08:38:27AM -0700, Christoph Junghans wrote:
>> 2013/12/22 Michael Banck <mbanck@debian.org>:
>> > Hi,
>> >
>> > On Sun, Oct 27, 2013 at 02:55:04PM -0600, Christoph Junghans wrote:
>> >> I finalize found the time to make the first steps to package VOTCA for Debian.
>> >> The source/binary builds are available on
>> >> <https://launchpad.net/~ottxor/+archive/votca>.
>> >>
>> >> Please have a look and help me to improve it, so that I can hand it
>> >> over to debichem soon.
>> >
>> > I took a look at votca-tools now (as this is a Build-Depends for
>> > votca-csg and has to be uploaded first).  I see the following issues:
>> >
>> > 1. The -dev package is named libvotca-tools2-dev, i.e. includes the
>> > soversion.  This is discouraged (but unfortunately the library
>> > maintainer's guide advocated it at least last time I looked), unless a
>> > project is very widely used and switching all programs using it
>> > immediately is not feasable (like for GTK1->GTK2, oder Qt4->Qt5). I
>> > understand that Ubuntu ships it, but I would rather rename it to
>> > libvotca-tools-dev and either let Ubuntu deal with it, or add
>> > compatibility Replaces/Conflicts/Provides for it.
>>
>> Renaming is fine as it has only been released as PPA.
>> So should we just rename the dev package or both?
>
> Only the -dev package, the runtime library is required to carry the
> soversion in the package name.
Done.

>
> Another thing to consider if the package has not shipped in Ubuntu
> proper so far would be to maybe start over with the Debian changelog,
> but I leave that up to you.
Whatever you debian guys like, I am happy to drop the current changelog.

>
>> > 2. votca-tools ships a convenience copy of boost.  Either it needs to be
>> > stripped off the tarball (i.e. the tarball needs to be repackaged), or
>> > the boost license and copyright needs to be added to debian/copyright.
>>
>> VOTCA ships a pristine tarball already:
>> https://votca.googlecode.com/files/votca-tools-1.2.3_pristine.tar.gz
>> and on my PPA, I have used that one to create the debian package.
> Ah, ok.  I think I saw that in passing a while back but by the time I
> looked at the package I had forgotten about it.
Where would I note that in the debian files? The next release (1.3)
will not bundle boost anymore.

>> > Finally, I suggest adding an debian/upstream file with some metadata and
>> > the prime publications, I can do that.
>>
>> Once we have converged, I will add the debian folder to our admin
>> repository.
> That is usually discouraged (if you mean the code repository on Google
> code), as it makes it more difficult to add Debian changes on top of a
> release, if they are required by a new Debian policy, e.g.  Also, it
> makes it difficult to synchronize the Debian packaging with the regular
> release.
>
> The only exception are native packages, which are developped especially
> for Debian, but even in that case, a lot of packages ship an upstream
> source and the Debian diff.
Sorry, I misread, wrong direction of thought!
I added an upstream file with some fields in votca-{tools,csg}.

Cheers,

Christoph

>
> So in practise, if an upstream tarball already contains a
> debian/-directory, it is usually removed and replaced by the
> debian.tar.gz from the source package.
>
>
> Michael



-- 
Christoph Junghans
Web: http://www.compphys.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#621874; Package wnpp. (Fri, 27 Dec 2013 22:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@gmx.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 27 Dec 2013 22:03:05 GMT) Full text and rfc822 format available.

Message #63 received at 621874@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@gmx.net>
To: Christoph Junghans <junghans@votca.org>
Cc: 621874@bugs.debian.org, debichem-devel@lists.alioth.debian.org
Subject: Re: [Debichem-devel] VOTCA available on my PPA
Date: Fri, 27 Dec 2013 23:01:06 +0100
Hi,

On Mon, Dec 23, 2013 at 03:12:44PM -0700, Christoph Junghans wrote:
> 2013/12/23 Michael Banck <mbanck@debian.org>:
> > Another thing to consider if the package has not shipped in Ubuntu
> > proper so far would be to maybe start over with the Debian changelog,
> > but I leave that up to you.
>
> Whatever you debian guys like, I am happy to drop the current changelog.
 
Ok.

> >> > 2. votca-tools ships a convenience copy of boost.  Either it needs to be
> >> > stripped off the tarball (i.e. the tarball needs to be repackaged), or
> >> > the boost license and copyright needs to be added to debian/copyright.
> >>
> >> VOTCA ships a pristine tarball already:
> >> https://votca.googlecode.com/files/votca-tools-1.2.3_pristine.tar.gz
> >> and on my PPA, I have used that one to create the debian package.
> > Ah, ok.  I think I saw that in passing a while back but by the time I
> > looked at the package I had forgotten about it.
> 
> Where would I note that in the debian files? The next release (1.3)
> will not bundle boost anymore.
 
Implicitly we can add a debian/watch file which points at the right
upstream URL (via a regex), Daniel is really good at it and usually adds
them when he has time.

Explicitly, the file debian/README.source could contain that
information

But if you drop it upstream anyway, then it is probably not worth the
hassle having to change things back for the next release.

It's not a bug anyway.

> >> > Finally, I suggest adding an debian/upstream file with some metadata and
> >> > the prime publications, I can do that.
> >>
> >> Once we have converged, I will add the debian folder to our admin
> >> repository.
> > That is usually discouraged (if you mean the code repository on Google
> > code), as it makes it more difficult to add Debian changes on top of a
> > release, if they are required by a new Debian policy, e.g.  Also, it
> > makes it difficult to synchronize the Debian packaging with the regular
> > release.
> >
> > The only exception are native packages, which are developped especially
> > for Debian, but even in that case, a lot of packages ship an upstream
> > source and the Debian diff.
>
> Sorry, I misread, wrong direction of thought!
> I added an upstream file with some fields in votca-{tools,csg}.

Cool!

I'll try to look over the package again when I find time, I am a bit
busy right now, sorry.


Michael



Changed Bug title to 'ITP: votca -- Versatile Object-oriented Toolkit for Coarse-graining Applications' from 'RFP: votca -- Versatile Object-oriented Toolkit for Coarse-graining Applications' Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Wed, 29 Jan 2014 18:30:33 GMT) Full text and rfc822 format available.

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Mon, 10 Mar 2014 16:03:09 GMT) Full text and rfc822 format available.

Notification sent to Nicholas Breen <nbreen@debian.org>:
Bug acknowledged by developer. (Mon, 10 Mar 2014 16:03:09 GMT) Full text and rfc822 format available.

Message #70 received at 621874-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 621874-close@bugs.debian.org
Subject: Bug#621874: fixed in votca-tools 1.2.3-1
Date: Mon, 10 Mar 2014 16:00:09 +0000
Source: votca-tools
Source-Version: 1.2.3-1

We believe that the bug you reported is fixed in the latest version of
votca-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 621874@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated votca-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Jan 2014 20:20:27 +0100
Source: votca-tools
Binary: libvotca-tools-dev libvotca-tools2
Architecture: source amd64
Version: 1.2.3-1
Distribution: unstable
Urgency: low
Maintainer: Michael Banck <mbanck@debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 libvotca-tools-dev - VOTCA's tools library, development kit
 libvotca-tools2 - VOTCA's tools library
Closes: 621874
Changes: 
 votca-tools (1.2.3-1) unstable; urgency=low
 .
   [ Christoph Junghans ]
   * Initial release (Closes: #621874)
Checksums-Sha1: 
 32f38664ba88fbae6cda7f15528eee3d71f38798 1372 votca-tools_1.2.3-1.dsc
 b63d340257a1650ccf76d839aed41b44ef77a1f0 84532 votca-tools_1.2.3.orig.tar.gz
 e631b1f9f93f30b18bcb9bb64f4f2d971773a134 3220 votca-tools_1.2.3-1.debian.tar.xz
 7877ffc37b0b1300f47448700e2a3ecf6fe49365 21776 libvotca-tools-dev_1.2.3-1_amd64.deb
 692122729a40027718a519cc6103d88bddff7f8d 123250 libvotca-tools2_1.2.3-1_amd64.deb
Checksums-Sha256: 
 570d4eab0e5f031a4c20d2e179aab6cb7cf687f19b49eeee7ae5009d02353e47 1372 votca-tools_1.2.3-1.dsc
 4012147bd2522032e86e181982c21245d669bfe6c5b4a77bd1d082e29d9fb145 84532 votca-tools_1.2.3.orig.tar.gz
 6d501df48c34455d51fc03fe153ae06aa6c033bd26a9c660dd4b9373488eee1f 3220 votca-tools_1.2.3-1.debian.tar.xz
 835c9b2624f3a28b43d9826c5f028bc8eae11d1608be6b66a0016d00d7973cc6 21776 libvotca-tools-dev_1.2.3-1_amd64.deb
 e547ceac38ee8981fd001ded4790db0bb3aa9dfc1c8d5fd57d7726cac41ef4a2 123250 libvotca-tools2_1.2.3-1_amd64.deb
Files: 
 b4888e5f8aef3f9baf8c5caebe929a80 1372 libs optional votca-tools_1.2.3-1.dsc
 b98eef2c356b73e586a40a93896fb423 84532 libs optional votca-tools_1.2.3.orig.tar.gz
 5354af3c0bc1b8f9444a96e99b7e8b22 3220 libs optional votca-tools_1.2.3-1.debian.tar.xz
 2981af8e58294722fa825abb3d90ff47 21776 libdevel optional libvotca-tools-dev_1.2.3-1_amd64.deb
 59725c8c8ae89a7cf9328cb7240f8af1 123250 libs optional libvotca-tools2_1.2.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlMZ82oACgkQmHaJYZ7RAb8wJQCfVyglyVwQpKAbpPT58poM5TX6
RHEAnjs0355IL/GhwqyCJcuk2RwtQge8
=Ctnu
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Apr 2014 07:30:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:57:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.